{
    "condition": "minecraft:entity_properties",
    "entity": "this",
    "predicate": {
        "slots": {
      "inventory.4": {
        "components": {"custom_data":{"sorcerer":"water"}}
      }
    }
  }
}